.hero-section {
  background-color: #0b0c12;
  overflow: hidden;
  position: relative;
}

.hero-wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 20px;
  position: relative;
}

.hero-content {
  padding: 4rem 0;
  z-index: 2;
  position: relative;
}

.hero-title {
  font-family: "Syne", sans-serif;
  font-weight: 700;
  font-size: 70px;
  line-height: 70px;
  color: #ffffff;
  margin-bottom: 12px;
}

.hero-title span,
.hero-title strong {
  font-family: "Luckiest Guy", cursive;
  color: #f5c542;
  font-style: normal;
  font-weight: 400;
  line-height: 70px;
}

.hero-subtitle {
  font-family: "Syne", sans-serif;
  font-weight: 400;
  font-size: 18px;
  line-height: 36px;
  letter-spacing: -1.44px;
  color: #ffffff;
  margin-bottom: 24px;
}

.hero-features {
  display: flex;
  gap: 32px;
  background: rgba(16, 24, 42, 0.5);
  padding: 16px;
  border-radius: 12px;
  margin-top: 24px;
  width: fit-content;
}

.feature-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
}

.feature-item img {
  width: 48px;
  height: 48px;
}

.feature-item span {
  font-family: "Syne", sans-serif;
  font-weight: 700;
  font-size: 20px;
  letter-spacing: -1.44px;
  color: #ffffff;
  text-align: center;
}

.hero-image {
  z-index: 1;
  align-self: end;
}

.hero-image img {
  width: 100%;
  height: auto;
  display: block;
}

@media (max-width: 1023px) {
  .hero-image img {
    max-width: 400px;
    margin: 0 auto;
  }
  .hero-wrapper {
    grid-template-columns: 1fr;
    padding: 40px 20px 0 20px;
  }

  .hero-content {
    padding: 0;
    max-width: 100%;
    text-align: center;
  }

  .hero-title {
    font-size: 42px;
    line-height: 46px;
  }

  .hero-title span,
  .hero-title strong {
    font-size: 48px;
    line-height: 52px;
  }

  .hero-image {
    position: relative;
    right: auto;
    top: auto;
    width: 100%;
  }

  .hero-features {
    justify-content: center;
    flex-wrap: wrap;
    gap: 1rem;
    margin: 1rem auto 0 auto;
  }
}

@media (max-width: 768px) {
  .hero-wrapper {
    padding: 32px 20px 0 20px;
  }

  .hero-title {
    font-size: 28px;
    line-height: 34px;
  }

  .hero-title span,
  .hero-title strong {
    font-size: 32px;
    line-height: 38px;
  }

  .hero-subtitle {
    font-size: 16px;
    line-height: 28px;
  }

  .hero-features {
    gap: 16px;
    padding: 12px;
  }

  .feature-item img {
    width: 36px;
    height: 36px;
  }

  .feature-item span {
    font-size: 16px;
  }
}
